Debian Bug report logs - #704257
missing dependency

version graph

Package: empathy; Maintainer for empathy is Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>; Source for empathy is src:empathy.

Reported by: Daniel Pocock <daniel@pocock.com.au>

Date: Sat, 30 Mar 2013 12:39:02 UTC

Severity: serious

Found in version empathy/3.4.2.3-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Sat, 30 Mar 2013 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
New Bug report received and forwarded. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Sat, 30 Mar 2013 12:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: submit@bugs.debian.org
Subject: missing dependency
Date: Sat, 30 Mar 2013 13:35:03 +0100
Package: empathy
Version: 3.4.2.3-2
Severity: serious

Refuses to run

If started from a shell, displays an error in the console about missing
GLX support

Looking at /var/log/Xorg.0.log, I notice that GLX is indeed not working:


[ 30101.482] (EE) AIGLX error: dlopen of
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so failed
(/usr/lib/x86_64-linux-gnu/dri/i965_dri.so: cannot open shared object
file: No such file or directory)


# apt-get install libgl1-mesa-dri


resolved the issue, so maybe that is an essential dependency.

This problem was experienced on a host upgraded from squeeze to wheezy a
few days ago.



Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Mon, 01 Apr 2013 00:57:07 GMT) Full text and rfc822 format available.

Notification sent to Daniel Pocock <daniel@pocock.com.au>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 00:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 704257-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 704257-close@bugs.debian.org
Subject: Re: missing dependency
Date: Mon, 1 Apr 2013 02:52:12 +0200
Hello,

Thanks for your bug report.

libgl1-mesa-dri is not required directly by empathy. It's needed by
some other component lower in the stack (mesa?).

xorg, xserver-xorg and xserver-xorg-core are already
depending/recommending libgl1-mesa-dri so it should be installed by
default on the system.

I'm closing this bugreport.

Cheers

Laurent Bigonville



Bug reopened Request was from Daniel Pocock <daniel@pocock.com.au> to control@bugs.debian.org. (Mon, 01 Apr 2013 08:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 08:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 704257@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 704257@bugs.debian.org
Subject: Re: Bug#704257 closed by Laurent Bigonville <bigon@debian.org> (Re: missing dependency)
Date: Mon, 01 Apr 2013 10:41:48 +0200

On 01/04/13 02:57, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the empathy package:


$ apt-cache rdepends -i libgl1-mesa-dri
libgl1-mesa-dri
Reverse Depends:
  xorg
  libgl1-mesa-dri-experimental
  libgl1-mesa-dri-dbg

$ dpkg --list | grep 'xorg '
ii  xserver-xorg                          1:7.7+2
     amd64        X.Org X server
$ dpkg --list | grep 'task-desktop '
$


It appears that when upgrading from squeeze to wheezy, none of the
packages depending on libgl1-mesa-dri are installed.  It is only a
recommends dependency for most of the other packages related to it.

empathy is a default part of the desktop - it shouldn't just silently
fail like this either.  There should be some popup if it can't run.

Bottom line: this was working on squeeze, but not on wheezy, so it's a
regression.

If it is not an empathy bug though, should this bug be re-assigned to
libgl1-mesa-dri or some other intermediate package such as xorg?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 08:57:04 GMT) Full text and rfc822 format available.

Message #22 received at 704257@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 704257@bugs.debian.org
Subject: popcon stats
Date: Mon, 01 Apr 2013 10:55:27 +0200

Looking at popcon:

http://qa.debian.org/popcon.php?package=xorg

xserver-xorg 	75034

xorg 	64738


Therefore, not everybody who has xserver-xorg has the `xorg' package as
well.  1 in 7 people does not have the xorg package, and those people
won't get libgl1-mesa-dri when they upgrade, then they will find things
like empathy (and maybe other things) broken






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 12:39:04 GMT) Full text and rfc822 format available.

Message #27 received at 704257@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Mon, 01 Apr 2013 14:37:08 +0200
On 04/01/2013 11:59 AM, Daniel Pocock wrote:
>
> I've found that some default packages in Gnome are broken if
> libgl1-mesa-dri is not installed
>
>(...)
>
> While I've filed a bug against empathy (that is where I observed the
> problem), I suspect other packages are impacted and the issue may need
> to be fixed at some other level.
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704257

Empathy itself does not required GL libraries to be installed:

glaubitz@znote-t60o:~$ objdump -p `which empathy` |grep NEEDED
  NEEDED               libenchant.so.1
  NEEDED               libcheese-gtk.so.21
  NEEDED               libebook-1.2.so.13
  NEEDED               libgeoclue.so.0
  NEEDED               libgeocode-glib.so.0
  NEEDED               libnm-glib.so.4
  NEEDED               libgudev-1.0.so.0
  NEEDED               libm.so.6
  NEEDED               libdbus-glib-1.so.2
  NEEDED               libfolks-telepathy.so.25
  NEEDED               libfolks.so.25
  NEEDED               libgee.so.2
  NEEDED               libgnome-keyring.so.0
  NEEDED               libgnutls.so.26
  NEEDED               libgstreamer-0.10.so.0
  NEEDED               libgthread-2.0.so.0
  NEEDED               libtelepathy-logger.so.2
  NEEDED               libtelepathy-glib.so.0
  NEEDED               libxml2.so.2
  NEEDED               libcanberra-gtk3.so.0
  NEEDED               libcanberra.so.0
  NEEDED               libnotify.so.4
  NEEDED               libwebkitgtk-3.0.so.0
  NEEDED               libchamplain-gtk-0.12.so.0
  NEEDED               libclutter-gtk-1.0.so.0
  NEEDED               libgtk-3.so.0
  NEEDED               libchamplain-0.12.so.0
  NEEDED               libclutter-1.0.so.0
  NEEDED               libgdk-3.so.0
  NEEDED               libX11.so.6
  NEEDED               libgio-2.0.so.0
  NEEDED               libgdk_pixbuf-2.0.so.0
  NEEDED               libpango-1.0.so.0
  NEEDED               libgobject-2.0.so.0
  NEEDED               libglib-2.0.so.0
  NEEDED               libpthread.so.0
  NEEDED               libc.so.6
glaubitz@znote-t60o:~$

However, Empathy depends on Clutter which itself requires an OpenGL 
implementation:

glaubitz@znote-t60o:~$ objdump -p 
/usr/lib/x86_64-linux-gnu/libclutter-1.0.so.0 |grep NEEDED
  NEEDED               libm.so.6
  NEEDED               libatk-1.0.so.0
  NEEDED               libcogl-pango.so.0
  NEEDED               libcogl.so.9
  NEEDED               libjson-glib-1.0.so.0
  NEEDED               libgio-2.0.so.0
  NEEDED               libgdk-3.so.0
  NEEDED               libpangocairo-1.0.so.0
  NEEDED               libgdk_pixbuf-2.0.so.0
  NEEDED               libcairo-gobject.so.2
  NEEDED               libcairo.so.2
  NEEDED               libX11.so.6
  NEEDED               libXext.so.6
  NEEDED               libXdamage.so.1
  NEEDED               libXfixes.so.3
  NEEDED               libXcomposite.so.1
  NEEDED               libXi.so.6
  NEEDED               libpangoft2-1.0.so.0
  NEEDED               libpango-1.0.so.0
  NEEDED               libfreetype.so.6
  NEEDED               libfontconfig.so.1
  NEEDED               libgobject-2.0.so.0
  NEEDED               libgthread-2.0.so.0
  NEEDED               libgmodule-2.0.so.0
  NEEDED               librt.so.1
  NEEDED               libglib-2.0.so.0
  NEEDED               libpthread.so.0
  NEEDED               libc.so.6
glaubitz@znote-t60o:~$

Checking the depends of libclutter-1.0-0:

glaubitz@znote-t60o:~$ apt-cache depends libclutter-1.0-0 |head
libclutter-1.0-0
  Depends: libatk1.0-0
  Depends: libc6
  Depends: libcairo-gobject2
  Depends: libcairo2
  Depends: libcogl-pango0
  Depends: libcogl9
  Depends: libfontconfig1
  Depends: libfreetype6
  Depends: libgdk-pixbuf2.0-0
glaubitz@znote-t60o:~$

where you see a dependency on libcogl9 which in turn depends on MESA:

glaubitz@znote-t60o:~$ apt-cache depends libcogl9 |head
libcogl9
  Depends: libc6
  Depends: libgdk-pixbuf2.0-0
  Depends: libglib2.0-0
  Depends: libx11-6
  Depends: libxcomposite1
  Depends: libxdamage1
  Depends: libxext6
  Depends: libxfixes3
  Depends: libgl1-mesa-glx
glaubitz@znote-t60o:~$

So, whatever you do, don't mess around with Empathy. The bug, if any, is 
not in Empathy but any of its dependencies. I'd have a look at Clutter.

Also, have you tried running Empathy on a non-compositing window manager 
when libgl1-mesa-dri is not installed?

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 20:03:04 GMT) Full text and rfc822 format available.

Message #32 received at 704257@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Mon, 01 Apr 2013 21:59:20 +0200

On 01/04/13 14:37, John Paul Adrian Glaubitz wrote:
> On 04/01/2013 11:59 AM, Daniel Pocock wrote:
>>
>> I've found that some default packages in Gnome are broken if
>> libgl1-mesa-dri is not installed
>>
>> (...)
>>
>> While I've filed a bug against empathy (that is where I observed the
>> problem), I suspect other packages are impacted and the issue may need
>> to be fixed at some other level.
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704257
> 
> Empathy itself does not required GL libraries to be installed:
> 

Agreed - that's why I suggested that this bug probably needs to be
assigned elsewhere, but only after understanding how this dependency
should be brought in during upgrade.

> 
> However, Empathy depends on Clutter which itself requires an OpenGL
> implementation:
> ...
> Checking the depends of libclutter-1.0-0:
> 
> glaubitz@znote-t60o:~$ apt-cache depends libclutter-1.0-0 |head
> libclutter-1.0-0
>   Depends: libatk1.0-0
>   Depends: libc6
>   Depends: libcairo-gobject2
>   Depends: libcairo2
>   Depends: libcogl-pango0
>   Depends: libcogl9
>   Depends: libfontconfig1
>   Depends: libfreetype6
>   Depends: libgdk-pixbuf2.0-0
> glaubitz@znote-t60o:~$
> 
> where you see a dependency on libcogl9 which in turn depends on MESA:
> 
> glaubitz@znote-t60o:~$ apt-cache depends libcogl9 |head
> libcogl9
> ...
>   Depends: libgl1-mesa-glx

Agreed, but that doesn't complete the picture, as libgl1-mesa-glx
doesn't depend on libgl1-mesa-dri:

$ apt-cache depends libgl1-mesa-glx
  ...
    Recommends: libgl1-mesa-dri


> So, whatever you do, don't mess around with Empathy. The bug, if any, is
> not in Empathy but any of its dependencies. I'd have a look at Clutter.

Either empathy or libclutter probably need to generate a popup error
window in this situation, if the error only appears in a console then it
will leave users with a bad impression of any impacted binary.
Generating such an error is independent of making sure the dependency is
present.

Here are the actual errors:

(empathy:30909): Clutter-CRITICAL **: Unable to initialize Clutter:
Failed to connected to any renderer:
XServer appears to lack required GLX support

(empathy:30909): empathy-CRITICAL **: main: assertion `gtk_clutter_init
(&argc, &argv) == CLUTTER_INIT_SUCCESS' failed

and this is from /var/log/Xorg.0.log:

[246718.377] (EE) AIGLX error: dlopen of
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so failed
(/usr/lib/x86_64-linux-gnu/dri/i965_dri.so: cannot open shared object
file: No such file or directory)
[246718.377] (EE) AIGLX: reverting to software rendering
[246718.378] (EE) AIGLX error: dlopen of
/usr/lib/x86_64-linux-gnu/dri/swrast_dri.so failed
(/usr/lib/x86_64-linux-gnu/dri/swrast_dri.so: cannot open shared object
file: No such file or directory)
[246718.378] (EE) GLX: could not load software renderer

I also discovered some older complaints about the empathy/clutter/mesa
relationship, this was is grave and was only closed recently:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619636

> Also, have you tried running Empathy on a non-compositing window manager
> when libgl1-mesa-dri is not installed?
> 

I'm happy to try that, can you propose which window manager I should
try?  I know fvwm quite well and don't mind installing that.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 20:09:04 GMT) Full text and rfc822 format available.

Message #37 received at 704257@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Mon, 01 Apr 2013 22:04:21 +0200
On 04/01/2013 09:59 PM, Daniel Pocock wrote:
> Agreed, but that doesn't complete the picture, as libgl1-mesa-glx
> doesn't depend on libgl1-mesa-dri:
>
> $ apt-cache depends libgl1-mesa-glx
>    ...
>      Recommends: libgl1-mesa-dri
>

Well, "Recommends" are installed by default, aren't they? However, I'm 
not sure why it shouldn't be depending on either "libgl1-mesa-dri" or 
"libgl1-mesa-swx11" here. I mean, MESA doesn't work without either of 
these, does it?

> Either empathy or libclutter probably need to generate a popup error
> window in this situation, if the error only appears in a console then it
> will leave users with a bad impression of any impacted binary.
> Generating such an error is independent of making sure the dependency is
> present.

No, I don't think there should be a popup. Someone should just fix the 
dependencies.

>> Also, have you tried running Empathy on a non-compositing window manager
>> when libgl1-mesa-dri is not installed?
>>
>
> I'm happy to try that, can you propose which window manager I should
> try?  I know fvwm quite well and don't mind installing that.

Yeah, fvwm doesn't really do any compositing :).

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 21:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 21:30:07 GMT) Full text and rfc822 format available.

Message #42 received at 704257@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Mon, 01 Apr 2013 23:16:39 +0200

On 01/04/13 22:04, John Paul Adrian Glaubitz wrote:
> On 04/01/2013 09:59 PM, Daniel Pocock wrote:
>> Agreed, but that doesn't complete the picture, as libgl1-mesa-glx
>> doesn't depend on libgl1-mesa-dri:
>>
>> $ apt-cache depends libgl1-mesa-glx
>>    ...
>>      Recommends: libgl1-mesa-dri
>>
> 
> Well, "Recommends" are installed by default, aren't they? However, I'm

Not during upgrade or dist-upgrade operations.  This is specifically an
upgrading issue.  From man apt-get:

"  upgrade:
 ...  under no circumstances are currently installed packages removed,
or packages not already installed retrieved and installed."

"dist-upgrade:
... intelligently handles changing dependencies with new versions of
packages"

From that, it's not clear how dist-upgrade should handle Recommends, but
my dpkg.log shows that no attempt was made to install libgl1-mesa-dri
automatically.

> not sure why it shouldn't be depending on either "libgl1-mesa-dri" or
> "libgl1-mesa-swx11" here. I mean, MESA doesn't work without either of
> these, does it?

I'm not sure - other parts of the desktop are working, but I haven't
tested so many things yet.  I'm not sure which components depend on MESA.

>> Either empathy or libclutter probably need to generate a popup error
>> window in this situation, if the error only appears in a console then it
>> will leave users with a bad impression of any impacted binary.
>> Generating such an error is independent of making sure the dependency is
>> present.
> 
> No, I don't think there should be a popup. Someone should just fix the
> dependencies.

Actually, empathy's error is from an assert(), a recent discussion on
debian-devel found that assert() is not loved universally loved.  There
are various errors from empathy that appear in the same way, and they
should probably all be presented in a popup.

>>> Also, have you tried running Empathy on a non-compositing window manager
>>> when libgl1-mesa-dri is not installed?
>>>
>>
>> I'm happy to try that, can you propose which window manager I should
>> try?  I know fvwm quite well and don't mind installing that.
> 
> Yeah, fvwm doesn't really do any compositing :).

I'll share the results after I try it





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 23:09:07 GMT) Full text and rfc822 format available.

Message #47 received at 704257@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: Daniel Pocock <daniel@pocock.com.au>, debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Tue, 02 Apr 2013 01:04:36 +0200
Le lundi 01 avril 2013 à 22:04 +0200, John Paul Adrian Glaubitz a
écrit : 
> > $ apt-cache depends libgl1-mesa-glx
> >    ...
> >      Recommends: libgl1-mesa-dri
> >
> 
> Well, "Recommends" are installed by default, aren't they? However, I'm 
> not sure why it shouldn't be depending on either "libgl1-mesa-dri" or 
> "libgl1-mesa-swx11" here. I mean, MESA doesn't work without either of 
> these, does it?

It should work with indirect GLX if the server supports it, in which
case you don’t need either of the two. I guess this is the reason for
Recommends instead of Depends.

OTOH the metapackage xorg correctly depends on libgl1-mesa-dri. I’m not
sure what can be done to make things better.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Mon, 01 Apr 2013 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 01 Apr 2013 23:12:04 GMT) Full text and rfc822 format available.

Message #52 received at 704257@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Josselin Mouette <joss@debian.org>
Cc: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Tue, 02 Apr 2013 01:08:38 +0200

On 02/04/13 01:04, Josselin Mouette wrote:
> Le lundi 01 avril 2013 à 22:04 +0200, John Paul Adrian Glaubitz a
> écrit : 
>>> $ apt-cache depends libgl1-mesa-glx
>>>    ...
>>>      Recommends: libgl1-mesa-dri
>>>
>>
>> Well, "Recommends" are installed by default, aren't they? However, I'm 
>> not sure why it shouldn't be depending on either "libgl1-mesa-dri" or 
>> "libgl1-mesa-swx11" here. I mean, MESA doesn't work without either of 
>> these, does it?
> 
> It should work with indirect GLX if the server supports it, in which
> case you don’t need either of the two. I guess this is the reason for
> Recommends instead of Depends.

In my case, it is not working that way - the problem is 100% repeatable
if I just dpkg --purge libgl1-mesa-dri

I am happy to test it in some other way to see if there is a reason why
the indirect GLX doesn't work, but I would need some suggestions what to
check.

> OTOH the metapackage xorg correctly depends on libgl1-mesa-dri. I’m not
> sure what can be done to make things better.
> 

That is correct - but according to popcon, 1 in 7 users of xserver-xorg
don't have the package xorg, so when they upgrade, they won't get the
dependency that way.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Tue, 02 Apr 2013 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Tue, 02 Apr 2013 09:21:04 GMT) Full text and rfc822 format available.

Message #57 received at 704257@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies@gmail.com>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, debian-devel@lists.debian.org, 704257@bugs.debian.org
Subject: Re: missing libgl1-mesa-dri in upgrades
Date: Tue, 2 Apr 2013 11:18:15 +0200
On Mon, Apr 1, 2013 at 11:16 PM, Daniel Pocock <daniel@pocock.com.au> wrote:
> On 01/04/13 22:04, John Paul Adrian Glaubitz wrote:
>> On 04/01/2013 09:59 PM, Daniel Pocock wrote:
>>> Agreed, but that doesn't complete the picture, as libgl1-mesa-glx
>>> doesn't depend on libgl1-mesa-dri:
>>>
>>> $ apt-cache depends libgl1-mesa-glx
>>>    ...
>>>      Recommends: libgl1-mesa-dri
>>>
>>
>> Well, "Recommends" are installed by default, aren't they? However, I'm
>
> Not during upgrade or dist-upgrade operations.  This is specifically an
> upgrading issue.  From man apt-get:
>
> "  upgrade:
>  ...  under no circumstances are currently installed packages removed,
> or packages not already installed retrieved and installed."

Correct for apt/squeeze, partly-wrong for apt/wheezy (since 0.8.15.3).
A package requiring a new recommends which is in a non-broken policy state
previously will be held back just like other packages requiring a new depends
in apt/wheezy.
In apt/squeeze the policy will break, which you could fix with
"apt-get install --fix-policy", but that is going to fix ALL recommends.

We are going to be "fine" in this regard as many packages have a new
dependency in a new release (upgrade is mostly for between releases).
In this case it is at least "multiarch-support".


> "dist-upgrade:
> ... intelligently handles changing dependencies with new versions of
> packages"

dist-upgrade on the other hand installs new recommends since the introduction
of recommends. Keyword is "new": If you had recommends disabled previously
and/or removed a recommends apt will not install this recommendation again.
(It compares the recommends list of the old version with the new version and
 only uninstalled recommends present in the new, but not in the old version
 are marked for installation).
Of course, if the recommends isn't installable you will still get a solution
which doesn't include this recommends which will be displayed as usual.
You have to install it later by hand then as it now an old recommends …
(In stable, uninstallability shouldn't happen though)

I guess the confusion comes from the word "dependencies":
In APT namespace "dependency" means any relation which is allowed;
not just a "Depends".

So the sentence should be read as "… handles changing Pre-Depends, Depends,
Conflicts, Breaks, Replaces, Provides, Recommends (if enabled, default yes)
and Suggests (if enabled, default no) with new versions …"
(for the sake of completion: Enhances are not handled)
It's just that a user shouldn't really be required to know what those are.

(if you digg deaper [usually in non-user facing texts] you will come across
 "hard", "important", "soft", "negative" and "positive" dependencies to
 complete the confusion. I will leave it as an exercise for now which subsets
 are meant with those adjectives)


Best regards

David Kalnischkies



Marked Bug as done Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 02 Apr 2013 09:27:06 GMT) Full text and rfc822 format available.

Notification sent to Daniel Pocock <daniel@pocock.com.au>:
Bug acknowledged by developer. (Tue, 02 Apr 2013 09:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#704257; Package empathy. (Wed, 03 Apr 2013 15:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Wed, 03 Apr 2013 15:21:07 GMT) Full text and rfc822 format available.

Message #66 received at 704257@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Sébastien Ducoulombier <seb+debianbug@ldd.fr>
Cc: 704257@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: empathy / LTSP problems?
Date: Wed, 03 Apr 2013 17:17:39 +0200


On 03/04/13 16:50, Sébastien Ducoulombier wrote:
> We do not yet have access to an LTSP server running Wheezy.
> But I could run a test on a Wheezy server through X2Go
> (X2Go is another X thin client solution).
>
> Bad news : neither Empathy nor Emerillon work on Wheezy through X2Go.


Thanks for this feedback - your experience on wheezy looks a lot like
bug #704257 - I am sending your comments there as it appears to be the
same problem.


http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704257


The release team have stated this is not a bug though, I'm not sure how
they intend this to work.  As a workaround, can you try installing the
missing mesa package (see bug details) and see if that fixes the error
for you?


>
> Empathy says :
>
> (empathy:105798): Clutter-CRITICAL **: Unable to initialize Clutter: Failed to connected to any renderer: 
> XServer appears to lack required GLX support
>
> (empathy:105798): empathy-CRITICAL **: main: assertion `gtk_clutter_init (&argc, &argv) == CLUTTER_INIT_SUCCESS' failed
>
>
> Emerillon says :
>
> Failed to connected to any renderer: 
> XServer appears to lack required GLX support
> Run 'emerillon --help' to see a list of available command line options.
>
>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:29:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:37:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.